.post {
  padding: 40px;
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  overflow: auto;
  * {
    outline: none;
    color: darken(#222, 0);
    font-family: Roboto, sans-serif;
  }
  h1 {
    font-size: 2rem;
  }
  h2 {
    font-size: 1.5rem;
  }
  img {
    width: 100%;
    height: auto;
    margin: 0 auto;
  }
}

.posts-wrapper,
.post-wrapper {
  overflow: hidden;
  display: flex;
  flex-direction: row;
  align-items: stretch;
  justify-content: flex-end;
  padding-bottom: 50px;
  gap: 20px;
  .posts {
    overflow: auto;
    width: 55%;
    height: 100%;
    padding: 20px;
    * {
      font-size: 0.9rem;
    }
  }
  .post-link {
    display: block;
    border-bottom: 1px solid darken(#fff, 10);
    &:last-of-type {
      border-bottom: none;
    }
  }
  header {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 10px 0;
    * {
      font-size: 0.8rem;
      font-family: 'Comfortaa', 'Roboto', 'Segoe UI', 'sans-serif';
    }
    .avatar {
      img {
        width: 30px;
        border-radius: 50%;
      }
    }
    .left {
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: flex-start;
      gap: 10px;
    }
    .category {
      span {
        &:first-of-type {
          color: lighten(#222, 40);
        }
      }
      &-name {
        font-weight: bold;
      }
    }
    .date {
      color: lighten(#222, 40);
    }
  }
  .post {
    height: auto;
  }
  footer {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 5px 0;
    * {
      font-family: Comfortaa, cursive;
      font-size: 0.7rem;
    }

    .left,
    .right {
      display: flex;
      flex-direction: row;
      align-items: center;
      gap: 10px;
    }
    .left {
      justify-content: flex-start;
    }
    .right {
      justify-content: flex-end;
    }
    .read {
      &-time {
        color: lighten(#222, 40);
      }
    }
  }
  .content {
    &-wrapper {
      display: flex;
      flex-direction: row;
      align-items: center;
      gap: 20px;
    }
    flex: 1;
  }
  .img-cover {
    width: 150px;
    height: 100%;
  }
  .posts-side,
  .post-side {
    width: 30%;
    overflow: auto;
    padding: 20px;
  }
}

@media screen and (max-width: 720px) {
  .posts-wrapper {
    padding: 0;
    overflow: auto;
    display: block;
    .posts {
      width: 100%;
      padding: 0;
      flex: auto;
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      align-items: center;
      header {
        .left {
          gap: 4px;
        }
        * {
          font-size: 0.6rem;
        }
      }
      .content {
        &-wrapper {
          flex-direction: column;
        }
      }
      .img-cover {
        width: 100%;
      }
    }
    .posts-side {
      width: 100%;
      flex: auto;
    }
  }
}
